<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_HandlingLandingFeesAndRouteCharges" xlink:label="airastanajsc_HandlingLandingFeesAndRouteCharges" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_PassengerService" xlink:label="airastanajsc_PassengerService" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_InformationTechnology" xlink:label="airastanajsc_InformationTechnology" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_PropertyAndOfficeCosts" xlink:label="airastanajsc_PropertyAndOfficeCosts" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AircraftVariableLeaseCosts" xlink:label="airastanajsc_AircraftVariableLeaseCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_CorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue" xlink:label="airastanajsc_CorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_CorporateIncomeTaxRelatedToLossFromHedgingInstruments" xlink:label="airastanajsc_CorporateIncomeTaxRelatedToLossFromHedgingInstruments" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_NonCurrentGuaranteeDeposits" xlink:label="airastanajsc_NonCurrentGuaranteeDeposits" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_IncomeTaxPrepaid" xlink:label="airastanajsc_IncomeTaxPrepaid" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_OtherTaxesPrepaid" xlink:label="airastanajsc_OtherTaxesPrepaid" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_CurrentGuaranteeDeposits" xlink:label="airastanajsc_CurrentGuaranteeDeposits" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_DeferredRevenue" xlink:label="airastanajsc_DeferredRevenue" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_BookValuePerOrdinaryShare" xlink:label="airastanajsc_BookValuePerOrdinaryShare" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_TransferOfRightsToEquityInstrumentsForShareBasedPayments" xlink:label="airastanajsc_TransferOfRightsToEquityInstrumentsForShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_CancelledRightsOfShareBasedPayments" xlink:label="airastanajsc_CancelledRightsOfShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents" xlink:label="airastanajsc_AdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories" xlink:label="airastanajsc_AdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForChangeInVacationAccrual" xlink:label="airastanajsc_AdjustmentsForChangeInVacationAccrual" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForAccrualOfProvisionForAircraftMaintenance" xlink:label="airastanajsc_AdjustmentsForAccrualOfProvisionForAircraftMaintenance" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForGainFromEarlyReturnOfAircraft" xlink:label="airastanajsc_AdjustmentsForGainFromEarlyReturnOfAircraft" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForOtherChangeInEquity" xlink:label="airastanajsc_AdjustmentsForOtherChangeInEquity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance" xlink:label="airastanajsc_AdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_AdjustmentsForChangeInOtherFinancialInstruments" xlink:label="airastanajsc_AdjustmentsForChangeInOtherFinancialInstruments" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_GuaranteeDepositsPlacedClassifiedAsInvestingActivities" xlink:label="airastanajsc_GuaranteeDepositsPlacedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_GuaranteeDepositsWithdrawnClassifiedAsInvestingActivities" xlink:label="airastanajsc_GuaranteeDepositsWithdrawnClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_TreasurySharesSettledClassifiedAsFinancingActivities" xlink:label="airastanajsc_TreasurySharesSettledClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_EffectsOfMovementsInECLOnCashAndCashEquivalents" xlink:label="airastanajsc_EffectsOfMovementsInECLOnCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_ForeignCurrencyTranslation" xlink:label="airastanajsc_ForeignCurrencyTranslation" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_DescriptionOfAccountingPolicyForReservationCosts" xlink:label="airastanajsc_DescriptionOfAccountingPolicyForReservationCosts" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_DescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition" xlink:label="airastanajsc_DescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_DisclosureOfGuaranteeDeposits" xlink:label="airastanajsc_DisclosureOfGuaranteeDeposits" />
    <loc xlink:type="locator" xlink:href="2549000TO500ZGSE7T26-2025-12-31.xsd#airastanajsc_DisclosureOfOtherTaxesPrepaid" xlink:label="airastanajsc_DisclosureOfOtherTaxesPrepaid" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_HandlingLandingFeesAndRouteCharges" xlink:to="label_airastanajsc_airastanajscHandlingLandingFeesAndRouteCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_PassengerService" xlink:to="label_airastanajsc_airastanajscPassengerService_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_InformationTechnology" xlink:to="label_airastanajsc_airastanajscInformationTechnology_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_PropertyAndOfficeCosts" xlink:to="label_airastanajsc_airastanajscPropertyAndOfficeCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AircraftVariableLeaseCosts" xlink:to="label_airastanajsc_airastanajscAircraftVariableLeaseCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_airastanajsc_ifrs-fullOperatingExpense_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_CorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue" xlink:to="label_airastanajsc_airastanajscCorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_CorporateIncomeTaxRelatedToLossFromHedgingInstruments" xlink:to="label_airastanajsc_airastanajscCorporateIncomeTaxRelatedToLossFromHedgingInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_NonCurrentGuaranteeDeposits" xlink:to="label_airastanajsc_airastanajscNonCurrentGuaranteeDeposits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_IncomeTaxPrepaid" xlink:to="label_airastanajsc_airastanajscIncomeTaxPrepaid_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_OtherTaxesPrepaid" xlink:to="label_airastanajsc_airastanajscOtherTaxesPrepaid_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_CurrentGuaranteeDeposits" xlink:to="label_airastanajsc_airastanajscCurrentGuaranteeDeposits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_DeferredRevenue" xlink:to="label_airastanajsc_airastanajscDeferredRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_BookValuePerOrdinaryShare" xlink:to="label_airastanajsc_airastanajscBookValuePerOrdinaryShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_TransferOfRightsToEquityInstrumentsForShareBasedPayments" xlink:to="label_airastanajsc_airastanajscTransferOfRightsToEquityInstrumentsForShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_CancelledRightsOfShareBasedPayments" xlink:to="label_airastanajsc_airastanajscCancelledRightsOfShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents" xlink:to="label_airastanajsc_airastanajscAdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories" xlink:to="label_airastanajsc_airastanajscAdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForChangeInVacationAccrual" xlink:to="label_airastanajsc_airastanajscAdjustmentsForChangeInVacationAccrual_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForAccrualOfProvisionForAircraftMaintenance" xlink:to="label_airastanajsc_airastanajscAdjustmentsForAccrualOfProvisionForAircraftMaintenance_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForGainFromEarlyReturnOfAircraft" xlink:to="label_airastanajsc_airastanajscAdjustmentsForGainFromEarlyReturnOfAircraft_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForOtherChangeInEquity" xlink:to="label_airastanajsc_airastanajscAdjustmentsForOtherChangeInEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_airastanajsc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance" xlink:to="label_airastanajsc_airastanajscAdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_AdjustmentsForChangeInOtherFinancialInstruments" xlink:to="label_airastanajsc_airastanajscAdjustmentsForChangeInOtherFinancialInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_airastanajsc_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_airastanajsc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_GuaranteeDepositsPlacedClassifiedAsInvestingActivities" xlink:to="label_airastanajsc_airastanajscGuaranteeDepositsPlacedClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_GuaranteeDepositsWithdrawnClassifiedAsInvestingActivities" xlink:to="label_airastanajsc_airastanajscGuaranteeDepositsWithdrawnClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_airastanajsc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_TreasurySharesSettledClassifiedAsFinancingActivities" xlink:to="label_airastanajsc_airastanajscTreasurySharesSettledClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_airastanajsc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_airastanajsc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_EffectsOfMovementsInECLOnCashAndCashEquivalents" xlink:to="label_airastanajsc_airastanajscEffectsOfMovementsInECLOnCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_ForeignCurrencyTranslation" xlink:to="label_airastanajsc_airastanajscForeignCurrencyTranslation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_DescriptionOfAccountingPolicyForReservationCosts" xlink:to="label_airastanajsc_airastanajscDescriptionOfAccountingPolicyForReservationCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_DescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition" xlink:to="label_airastanajsc_airastanajscDescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_DisclosureOfGuaranteeDeposits" xlink:to="label_airastanajsc_airastanajscDisclosureOfGuaranteeDeposits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="airastanajsc_DisclosureOfOtherTaxesPrepaid" xlink:to="label_airastanajsc_airastanajscDisclosureOfOtherTaxesPrepaid_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_airastanajsc_airastanajscHandlingLandingFeesAndRouteCharges_Standard" id="airastanajsc_airastanajscHandlingLandingFeesAndRouteCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Handling, landing fees and route charges</label>
    <label xlink:label="label_airastanajsc_airastanajscPassengerService_Standard" id="airastanajsc_airastanajscPassengerService_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Passenger service</label>
    <label xlink:label="label_airastanajsc_airastanajscInformationTechnology_Standard" id="airastanajsc_airastanajscInformationTechnology_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Information technology</label>
    <label xlink:label="label_airastanajsc_airastanajscPropertyAndOfficeCosts_Standard" id="airastanajsc_airastanajscPropertyAndOfficeCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Property and office costs</label>
    <label xlink:label="label_airastanajsc_airastanajscAircraftVariableLeaseCosts_Standard" id="airastanajsc_airastanajscAircraftVariableLeaseCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Aircraft variable lease costs</label>
    <label xlink:label="label_airastanajsc_ifrs-fullOperatingExpense_Total" id="airastanajsc_ifrs-fullOperatingExpense_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total operating expenses</label>
    <label xlink:label="label_airastanajsc_airastanajscCorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue_Standard" id="airastanajsc_airastanajscCorporateIncomeTaxRelatedToCashFlowHedgesEffectivePortionOfChangesInFairValue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Corporate income tax related to cash flow hedges - effective portion of changes in fair value</label>
    <label xlink:label="label_airastanajsc_airastanajscCorporateIncomeTaxRelatedToLossFromHedgingInstruments_Standard" id="airastanajsc_airastanajscCorporateIncomeTaxRelatedToLossFromHedgingInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Corporate income tax related to loss from hedging instruments</label>
    <label xlink:label="label_airastanajsc_airastanajscNonCurrentGuaranteeDeposits_Standard" id="airastanajsc_airastanajscNonCurrentGuaranteeDeposits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-current guarantee deposits</label>
    <label xlink:label="label_airastanajsc_airastanajscIncomeTaxPrepaid_Standard" id="airastanajsc_airastanajscIncomeTaxPrepaid_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Income tax prepaid</label>
    <label xlink:label="label_airastanajsc_airastanajscOtherTaxesPrepaid_Standard" id="airastanajsc_airastanajscOtherTaxesPrepaid_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other taxes prepaid</label>
    <label xlink:label="label_airastanajsc_airastanajscCurrentGuaranteeDeposits_Standard" id="airastanajsc_airastanajscCurrentGuaranteeDeposits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current guarantee deposits</label>
    <label xlink:label="label_airastanajsc_airastanajscDeferredRevenue_Standard" id="airastanajsc_airastanajscDeferredRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred revenue</label>
    <label xlink:label="label_airastanajsc_airastanajscBookValuePerOrdinaryShare_Standard" id="airastanajsc_airastanajscBookValuePerOrdinaryShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Book value per ordinary share</label>
    <label xlink:label="label_airastanajsc_airastanajscTransferOfRightsToEquityInstrumentsForShareBasedPayments_Standard" id="airastanajsc_airastanajscTransferOfRightsToEquityInstrumentsForShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer of rights to equity instruments for share-based payments</label>
    <label xlink:label="label_airastanajsc_airastanajscCancelledRightsOfShareBasedPayments_Standard" id="airastanajsc_airastanajscCancelledRightsOfShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cancelled rights of share-based payments</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents_Standard" id="airastanajsc_airastanajscAdjustmentsForChangeInImpairmentAllowanceForTradeReceivablesPrepaymentsGuaranteeDepositsAndCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for change in impairment allowance for trade receivables, prepayments, guarantee deposits and cash and cash equivalents</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories_Standard" id="airastanajsc_airastanajscAdjustmentsForWriteDownOfObsoleteAndSlowMovingInventories_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for write-down of obsolete and slow-moving inventories</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForChangeInVacationAccrual_Standard" id="airastanajsc_airastanajscAdjustmentsForChangeInVacationAccrual_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for change in vacation accrual</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForAccrualOfProvisionForAircraftMaintenance_Standard" id="airastanajsc_airastanajscAdjustmentsForAccrualOfProvisionForAircraftMaintenance_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for accrual of provision for aircraft maintenance</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForGainFromEarlyReturnOfAircraft_Standard" id="airastanajsc_airastanajscAdjustmentsForGainFromEarlyReturnOfAircraft_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for gain from early return of aircraft</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForOtherChangeInEquity_Standard" id="airastanajsc_airastanajscAdjustmentsForOtherChangeInEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for other change in equity</label>
    <label xlink:label="label_airastanajsc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" id="airastanajsc_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Operating cash flow before movements in working capital</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance_Standard" id="airastanajsc_airastanajscAdjustmentsForChangeInTradeAndOtherPayablesAndProvisionForAircraftMaintenance_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for change in trade and other payables and provision for aircraft maintenance</label>
    <label xlink:label="label_airastanajsc_airastanajscAdjustmentsForChangeInOtherFinancialInstruments_Standard" id="airastanajsc_airastanajscAdjustmentsForChangeInOtherFinancialInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for change in other financial instruments</label>
    <label xlink:label="label_airastanajsc_ifrs-fullCashFlowsFromUsedInOperations_Total" id="airastanajsc_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash generated from operations</label>
    <label xlink:label="label_airastanajsc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="airastanajsc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from operating activities</label>
    <label xlink:label="label_airastanajsc_airastanajscGuaranteeDepositsPlacedClassifiedAsInvestingActivities_Standard" id="airastanajsc_airastanajscGuaranteeDepositsPlacedClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Guarantee deposits placed classified as investing activities</label>
    <label xlink:label="label_airastanajsc_airastanajscGuaranteeDepositsWithdrawnClassifiedAsInvestingActivities_Standard" id="airastanajsc_airastanajscGuaranteeDepositsWithdrawnClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Guarantee deposits withdrawn classified as investing activities</label>
    <label xlink:label="label_airastanajsc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="airastanajsc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash generated from / (used) in investing activities</label>
    <label xlink:label="label_airastanajsc_airastanajscTreasurySharesSettledClassifiedAsFinancingActivities_Standard" id="airastanajsc_airastanajscTreasurySharesSettledClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Treasury shares settled classified as financing activities</label>
    <label xlink:label="label_airastanajsc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="airastanajsc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash used in financing activities</label>
    <label xlink:label="label_airastanajsc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="airastanajsc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">NET (DECREASE)  / INCREASE IN CASH AND BANK BALANCES</label>
    <label xlink:label="label_airastanajsc_airastanajscEffectsOfMovementsInECLOnCashAndCashEquivalents_Standard" id="airastanajsc_airastanajscEffectsOfMovementsInECLOnCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Effects of movements in ECL on cash and cash equivalents</label>
    <label xlink:label="label_airastanajsc_airastanajscForeignCurrencyTranslation_Standard" id="airastanajsc_airastanajscForeignCurrencyTranslation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Foreign currency translation</label>
    <label xlink:label="label_airastanajsc_airastanajscDescriptionOfAccountingPolicyForReservationCosts_Standard" id="airastanajsc_airastanajscDescriptionOfAccountingPolicyForReservationCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for reservation costs</label>
    <label xlink:label="label_airastanajsc_airastanajscDescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition_Standard" id="airastanajsc_airastanajscDescriptionOfAccountingPolicyForPresentationOfAllowanceForECLInTheConsolidatedStatementOfFinancialPosition_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for presentation of allowance for ECL in the consolidated statement of financial position</label>
    <label xlink:label="label_airastanajsc_airastanajscDisclosureOfGuaranteeDeposits_Standard" id="airastanajsc_airastanajscDisclosureOfGuaranteeDeposits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of guarantee deposits</label>
    <label xlink:label="label_airastanajsc_airastanajscDisclosureOfOtherTaxesPrepaid_Standard" id="airastanajsc_airastanajscDisclosureOfOtherTaxesPrepaid_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of other taxes prepaid</label>
  </labelLink>
</linkbase>